Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 31/03/2006, à 16:30

Gya

[Resolu] Echec de la séléction de tous les paquets à installer etc

Salut la communauté !
Commençons sans plus attendre avec mon soucis ;
Je n'arrive pas à installer Monster Masher.
J'ai des messages d'erreurs qui s'affichent.:(

En essayant le menu "Ajouter des applications" :

Cannot install 'monster-masher'
Installing this application would mean that something else needs to be removed.
Please use the "Advanced" mode to install 'monster-masher'.

J'ai donc fait "Avancé" pour me retrouver dans le "Gestionnaire de Paquets Synaptic" :

Echec de la séléction de tous les paquets à installer ou à mettre à jour.
Les paquets suivants contiennent des dépendances non résolues.
Assurez vous que tous les dépôts soit ajoutés et activés dans les préférences.

Avec en prime dans une sous fenêtre :

monster-masher:
Dépend: libgconfmm-2.6-1c2 (>=2.10.0) but it is not installable
Dépend: libglademm-2.4-1c2 (>=2.6.0) but it is not installable
Dépend: libglibmm-2.4-1c2 (>=2.6.1) but it is not installable
Dépend: libgnome-vfsmm-2.6-1c2 (>=2.10.0) but it is not installable
Dépend: libgnomecanvasmm-2.6-1c2 (>=2.10.0) but it is not installable
Dépend: libgnomemm-2.6-1c2 (>=2.10.0) but it is not installable
Dépend: libgnomeuimm-2.6-1c2 (>=2.10.0) but it is not installable
Dépend: libgtkmm-2.4-1c2 (>=2.6.2) but it is not installable
Dépend: libsigc++-2.0-0c2 (>=2.0.2) but it is not installable

J'ai essayé aussi avec le terminal, et j'ai pas fais mieux : sad

yann@ubuntu:~$ apt-get install monster-masher
E: Impossible d'ouvrir le fichier verrou /var/lib/apt/lists/lock - open (13 Permission non accordée)
E: Impossible de verrouiller le répertoire de liste

Je suis donc allé dans catégorie / dépôts. Je suppose qu'il faut mettre des lignes dans les APT ? Seulement, j'ai essayé d'installer d'autres logiciels et j'ai malheureusement le même message d'erreur Echec de la séléction de tous les paquets à installer ou à mettre à jour. bla, bla, bla Que faire ?

Hors ligne

#2 Le 31/03/2006, à 16:40

yanapu

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

1°) ce message

E: Impossible d'ouvrir le fichier verrou /var/lib/apt/lists/lock - open (13 Permission non accordée)
E: Impossible de verrouiller le répertoire de liste

signifie que 2 programmes d'installation sont lançés en même temps (pas bien). Il faut donc en fermer un pour utiliser l'autre.

2°) j'ai essayé d'installer Monster Masher via synaptic, et je n'ai aucun problème.
As-tu rechargé la liste des paquets avant ?
Sinon, poste ton fichier /etc/apt/sources.list pour qu'on puisse vérifier qu'il n'y a pas de problème.

Hors ligne

#3 Le 31/03/2006, à 18:00

Gya

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

Oui, j'ai bien rechargé avant.

deb cdrom:[Ubuntu 5.10 _Breezy Badger_ - Release i386 (20051012)]/ breezy main restricted


## Uncomment the following two lines to fetch updated software from the network
# deb http://fr.archive.ubuntu.com/ubuntu breezy main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu breezy main restricted

## Uncomment the following two lines to fetch major bug fix updates produced
## after the final release of the distribution.
# deb http://fr.archive.ubuntu.com/ubuntu breezy-updates main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu breezy-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
# deb http://fr.archive.ubuntu.com/ubuntu breezy universe
# deb-src http://fr.archive.ubuntu.com/ubuntu breezy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://fr.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu breezy-backports main restricted universe multiverse

# deb http://security.ubuntu.com/ubuntu breezy-security main restricted
# deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted

# deb http://security.ubuntu.com/ubuntu breezy-security universe
# deb-src http://security.ubuntu.com/ubuntu breezy-security universe

deb http://archive.ubuntu.com/ubuntu/ breezy universe

J'ai remarqué un autre problème. J'ai installé Gnugo mais je ne le trouve nul part dans le menu "Applications" (Pas de section jeu).

Hors ligne

#4 Le 31/03/2006, à 18:14

Gya

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

C'est bon ça marche.
Merci Framasoft.:D
La ligne a rajouté était :

deb http://archive.ubuntulinux.org/ubuntu/ hoary main

Hors ligne

#5 Le 31/03/2006, à 18:31

yanapu

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

STOP STOP, tu es sur Breezy, et non sur Hoary !

Vire cette ligne, enregistre, et ouvre synaptic.

dans les dépôts, active les tous.

Recharge la liste, et après, tu pourras installer ce que tu voudras.

cf http://doc.ubuntu-fr.org/applications/synaptic

Hors ligne

#6 Le 31/03/2006, à 21:07

lost-in-the-shell

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

Arrêtez, vous vous faites du mal.
Apt doit être lancé en super-user :

sudo apt-get install monster-masher

Linux user #401253 - Ubuntu user #3023 .
Nick sur IRC : naji.
Pensez à adhérer au Comité de lutte contre le SMS.

Hors ligne

#7 Le 31/03/2006, à 21:27

bapoumba

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

bonjour,

d'abord Gya, tu sauvegardes ton sources.list par

sudo cp /etc/apt/sources.list /etc/apt/sources_bak.list

puis tu l'édites par

sudo gedit /etc/apt/sources.list

et tu décommentes (tu effaces le #) les lignes correspondant à breezy main restricted et à breezy-updates main restricted. Tu peux commenter au passage la première ligne concernant ton cdrom, et surtout tu EFFACES la ligne hoary. Tu sauvegardes le fichier.
Le sources.list dit à apt où aller chercher les paquets.

Puis tu fais :

sudo apt-get update
sudo apt-get upgrade

ensuite tu rebootes

Puis tu réédites le sources.list et là tu décommentes les lignes universe et multiverse
et re :

sudo apt-get update
sudo apt-get upgrade

puis reboot

Ceci va mettre ton système à jour. Si tu ne l'as jamais fait, c'est essentiel. S'il y a une quelconque erreur, tu arrêtes et tu postes ici les messages obtenus dans le terminal. Sinon tu continues :

sudo apt-get install <mon_paquet>

pour installer des paquets supplémentaires. Monster-masher est dans universe

Dernière modification par bapoumba (Le 31/03/2006, à 21:27)


| Ubuntu Forums |
J'aime les fraises.

Hors ligne

#8 Le 31/03/2006, à 21:29

lost-in-the-shell

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

@bapoumba > c'est pas ta signature qui donne un lien vers la doc ?


Linux user #401253 - Ubuntu user #3023 .
Nick sur IRC : naji.
Pensez à adhérer au Comité de lutte contre le SMS.

Hors ligne

#9 Le 31/03/2006, à 22:36

bapoumba

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

salut lost-in-the-shell
quand j'ai du temps, une petite causette c'est mieux qu'un lien tout sec, non wink?


| Ubuntu Forums |
J'aime les fraises.

Hors ligne

#10 Le 06/04/2006, à 17:14

Gya

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Bonne nouvelle big_smile

Hors ligne

#11 Le 06/04/2006, à 18:45

bapoumba

Re : [Resolu] Echec de la séléction de tous les paquets à installer etc

salut,
c'est [résolu] wink ?
(premier post > modifier > tu peux changer le titre)


| Ubuntu Forums |
J'aime les fraises.

Hors ligne

Haut de page ↑